## guile-1.8 1.8.8%2B1

=== debian/changelog ===
guile-1.8 (1.8.8+1-texmacs1) trusty; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 02 Oct 2025 00:10:51 +0000

guile-1.8 (1.8.8+1-8ubuntu3) trusty; urgency=medium

  * Hack around formfeed differences in texinfo 5 (closes: #711029).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Feb 2014 18:02:01 +0000

guile-1.8 (1.8.8+1-8ubuntu2) trusty; urgency=medium

  * Apply texinfo fixes from debian bug report and guile-2.0 source code
    (Closes: #711029)
  * Force use serial-tests runner.
  * Some tests fail in my environment. Maybe buildds will do better.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 24 Dec 2013 21:10:30 +0000

guile-1.8 (1.8.8+1-8ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
  * Dropped change (fixed differently in Debian):
    - Build with unused-but-set-variable.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Nov 2012 18:49:16 +0000

guile-1.8 (1.8.8+1-8) unstable; urgency=low

  * Add 0007-Mark-Unused-modules-are-removed-gc-test-as-unresolve.patch.
    This should help fix some unpredictable build failures.  Thanks to
    Julien Cristau <jcristau@debian.org> for the report. (Closes: #653939)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 18 Mar 2012 10:23:26 -0500

guile-1.8 (1.8.8+1-7) unstable; urgency=low

  * Allow guile-1.8 and guile-2.0 manpages to coexist.  Rename the manpage
    from guile.1 to guile-X.Y.1 and use update-alternatives --slave so
    that the Guile manpage will be available via "man guile" or "man
    guile-X.Y".

  * Configure with --disable-error-on-warning.  This fixes build failures
    caused by newer versions of gcc that report new warnings.  Thanks to
    Matthias Klose <doko@debian.org> for the report, ludo@gnu.org (Ludovic
    Courtès) for the fix, and Nobuhiro Iwamatsu <iwamatsu@debian.org> for
    the 1.8.8+1-6.1 NMU which included it.  (Closes: #625355)

  * Add upstream patch to fix sockets.test on non-IPV6 kernels.  Add
    0006-Make-sockets.test-more-robust.patch.  Thanks to Nobuhiro Iwamatsu
    <iwamatsu@nigauri.org> for the report and the pointer to the upstream
    patch. (Closes: #631254)

 -- Rob Browning <rlb@defaultvalue.org>  Wed, 09 Nov 2011 19:17:30 -0600

guile-1.8 (1.8.8+1-6ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 12:18:00 +0100

guile-1.8 (1.8.8+1-6ubuntu2) oneiric; urgency=low

  * Build with unused-but-set-variable. LP: #829432.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2011 19:30:33 +0200

guile-1.8 (1.8.8+1-6ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
  * Dropped -O modification because Ubuntu doesn't build for ia64 anymore
  * Dropped -Wno-error modification because upstream fixed their code

 -- Michael Terry <mterry@ubuntu.com>  Mon, 13 Jun 2011 16:25:17 -0400

guile-1.8 (1.8.8+1-6) unstable; urgency=low

  * Add "Replaces: guile-1.8-dev" to guile-1.8-libs to accommodate .so
    moves.  Thanks to Marc Glisse <marc.glisse@normalesup.org> for the
    report.  (closes: #628087)

 -- Rob Browning <rlb@defaultvalue.org>  Fri, 27 May 2011 18:27:28 -0500

guile-1.8 (1.8.8+1-5) unstable; urgency=low

  * Add a copy of the guile binary to /usr/lib/guile-1.8/bin in
    guile-1.8-libs to support the slib postinst trigger; remove the
    guile-1.8-libs dependency on guile-1.8.  Thanks to Bill Allombert
    <ballombe@debian.org> for the report. (closes: #626167)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 15 May 2011 18:27:49 -0500

guile-1.8 (1.8.8+1-4) unstable; urgency=low

  * Add guile-1.8 dependency to guile-1.8 for slib related postinst code.
    Thanks to Peter De Wachter <pdewacht@gmail.com> for the report.
    (closes: #625243)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 08 May 2011 12:40:21 -0500

guile-1.8 (1.8.8+1-3) unstable; urgency=low

  * Drop guile-1.8-slib package again, and handle SLIB via a
    guile-1.8-libs /usr/share/slib trigger.  Among other things, these
    changes should fix the recent problems with SLIB support, and should
    also make sure that Guile's SLIB support is adjusted properly whenever
    the slib package is updated.  Thanks to Gert Michael Kulyk
    <gkulyk@yahoo.de> for the report. (closes: #624531)

  * Move libguile?*.so files to guile-1.8-dev now that .la files are gone.
    Guile dynamically loads these libraries via dlopen, so it needs the
    .so files for operations like (use-modules (srfi srfi-13)).  Given the
    way Guile handles the library names upstream (changing the library
    names for ABI changes), putting the .so files in guile-X.Y-libs won't
    cause file conflicts across different major versions.  Thanks to
    Tomasz Melcer <liori@exroot.org> for the report. (closes: #622280)

  * Rename debian/*.lintian to debian/*.lintian-overrides; update
    overrides.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 May 2011 21:55:44 -0500

guile-1.8 (1.8.8+1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian (LP: #773945), remaining Ubuntu changes:
    - Build with -Wno-error.
    - Build with thread support. Some guile-using programs like autogen need
      it.
    - Add debian/guile-1.8-libs.shlibs: Thread support breaks ABI, bump the
      soname.
    - Build with -O on ia64 to ftbfs.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 30 Apr 2011 10:38:24 +0200

guile-1.8 (1.8.8+1-2) unstable; urgency=low

  * Don't access uninitialized memory in scm_to_sockaddr().
    Thanks to Thorsten Glaser <tg@mirbsd.de> for the patch.


