=== debian/control ===
Source: guile-1.8
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: libtool, debhelper (>= 8), autoconf, automake, dh-autoreconf,
 libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, texinfo, flex
Build-Conflicts: ash (<= 0.3.8-31)
Standards-Version: 3.7.2
Homepage: http://www.gnu.org/software/guile/

Package: guile-1.8
Section: lisp
Architecture: any
Provides: guile
Conflicts: libguile-dev (<= 1:1.4-24), guile1.4
Depends: ${shlibs:Depends},
 ${misc:Depends}
Suggests: guile-1.8-doc
Description: GNU extension language and Scheme interpreter
 Guile is a Scheme implementation designed for real world programming,
 providing a rich Unix interface, a module system, an interpreter, and
 many extension languages.  Guile can be used as a standard #! style
 interpreter, via #!/usr/bin/guile, or as an extension language for
 other applications via libguile.

Package: guile-1.8-dev
Section: lisp
Architecture: any
Provides: libguile-dev
Conflicts: libguile-dev, guile-1.6 (<< 1.6.8-5)
Depends: ${shlibs:Depends}, guile-1.8 (= ${binary:Version}), libc6-dev,
 libncurses5-dev, libreadline6-dev, libltdl-dev, libgmp-dev, ${misc:Depends}
Description: Development files for Guile 1.8
 This package contains files needed for development using Guile 1.8.
 .
 Guile is a Scheme implementation designed for real world programming,
 providing a rich Unix interface, a module system, an interpreter, and
 many extension languages.  Guile can be used as a standard #! style
 interpreter, via #!/usr/bin/guile, or as an extension language for
 other applications via libguile.
