## guile-1.8 1.8.8+1

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: any
 Provides: guile
 Conflicts: libguile-dev (<= 1:1.4-24), guile1.4
-Depends: ${shlibs:Depends},
+Depends: guile-1.8-libs (= ${binary:Version}), ${shlibs:Depends},
  ${misc:Depends}
 Suggests: guile-1.8-doc
 Description: GNU extension language and Scheme interpreter
@@ -40,4 +40,33 @@
  interpreter, via #!/usr/bin/guile, or as an extension language for
  other applications via libguile.
 
+Package: guile-1.8-doc
+Architecture: all
+Section: doc
+Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
+Suggests: guile-1.8-doc-non-dfsg
+Description: Documentation for Guile 1.8
+ This package contains all of the Guile documentation that is covered
+ under a license which is compatible with the Debian Free Software
+ Guidelines (DFSG).  This includes a tutorial which is available via
+ "info guile-tut".
+ .
+ Guile is a Scheme implementation designed for real world programming,
+ providing a rich Unix interface, a module system, an interpreter, and
+ many extension languages.  Guile can be used as a standard #! style
+ interpreter, via #!/usr/bin/guile, or as an extension language for
+ other applications via libguile.
 
+Package: guile-1.8-libs
+Section: lisp
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: guile-1.8-slib
+Provides: guile-1.8-slib
+Replaces: guile-1.8-slib, guile-1.8-dev (<< 1.8.8+1-3)
+Description: Core Guile libraries
+ Guile is a Scheme implementation designed for real world programming,
+ providing a rich Unix interface, a module system, an interpreter, and
+ many extension languages.  Guile can be used as a standard #! style
+ interpreter, via #!/usr/bin/guile, or as an extension language for
+ other applications via libguile.
