=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 export HOME := $(CURDIR)/no-trespassing
 
 # Uncomment this to turn on verbose mode. 
-export DH_VERBOSE := 1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT := 7
+#export DH_VERBOSE := 1
 
 deb_src_maj_ver := 1
 deb_src_min_ver := 8
@@ -74,75 +71,100 @@
   dh_testdir debian/guile.postinst
 endef
 
+%:
+	dh $@ --parallel --with autoreconf
 
-build: build-stamp 
-build-stamp:
-	dh_testdir
-	# Add here commands to compile the package.
-	./configure $(configure_args)
-	make -j$(shell getconf _NPROCESSORS_ONLN) all
-	# --- end custom part for compiling
+.PHONY: buildpackage
+buildpackage:
+	$(checkdir)
+	dpkg-buildpackage -D -us -uc -rfakeroot -i'\.git|\.pc'
 
-	touch build-stamp
+.PHONY: check-vars
+check-vars:
+	@echo UPSTREAM_VER: $(upstream_ver)
+	@echo DEB_SRC_VER: $(deb_src_ver)
+	@echo DEB_SRC_MAJ_VER: $(deb_src_maj_ver)
+	@echo DEB_SRC_MIN_VER: $(deb_src_min_ver)
+	@echo DEB_SRC_MIC_VER: $(deb_src_mic_ver)
+	@echo DEB_SRC_EFF_VER: $(deb_src_eff_ver)
+	@echo DEB_PKG_BASENAME: $(deb_pkg_basename)
+	@echo
+	@echo deb_src_ver: $(deb_src_ver)
+	@echo deb_src_maj_ver: $(deb_src_maj_ver)
+	@echo deb_src_min_ver: $(deb_src_min_ver)
+	@echo deb_src_mic_ver: $(deb_src_mic_ver)
+	@echo deb_pkg_basenmae: $(deb_pkg_basename)
 
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
+autogen_install_files := $(addprefix debian/, \
+  guile-$(deb_src_eff_ver).install \
+  guile-$(deb_src_eff_ver).menu \
+  guile-$(deb_src_eff_ver).postinst \
+  guile-$(deb_src_eff_ver).prerm \
+  guile-$(deb_src_eff_ver).undocumented \
+  guile-$(deb_src_eff_ver)-dev.install \
+  guile-$(deb_src_eff_ver)-dev.lintian-overrides \
+  guile-$(deb_src_eff_ver)-doc.info \
+  guile-$(deb_src_eff_ver)-doc.install \
+  guile-$(deb_src_eff_ver)-libs.README.Debian \
+  guile-$(deb_src_eff_ver)-libs.install \
+  guile-$(deb_src_eff_ver)-libs.lintian-overrides \
+  guile-$(deb_src_eff_ver)-libs.postinst \
+  guile-$(deb_src_eff_ver)-libs.prerm \
+  guile-$(deb_src_eff_ver)-libs.triggers)
 
-	# Add here commands to clean up after the build process.
-#	make clean || true
-	# --- end custom part for cleaning up
+$(autogen_install_files): debian/rules
 
-	dh_clean
+debian/guile-$(deb_src_eff_ver).%: debian/guile.%
+	$(call deb_sub,$<,$@)
+debian/guile-$(deb_src_eff_ver)-dev.%: debian/guile-dev.%
+	$(call deb_sub,$<,$@)
+debian/guile-$(deb_src_eff_ver)-doc.%: debian/guile-doc.%
+	$(call deb_sub,$<,$@)
+debian/guile-$(deb_src_eff_ver)-libs.%: debian/guile-libs.%
+	$(call deb_sub,$<,$@)
 
-install: build
-	dh_testdir
-	dh_testroot
-	dh_clean -k
-	dh_installdirs
+override_dh_testdir:
+	$(checkdir)
 
-	# Add here commands to install the package
-	# The DESTDIR Has To Be Exactly  /usr/src/packages/BUILD/debian/<nameOfPackage>
-	make DESTDIR=/usr/src/packages/BUILD/debian/guile-1.8 install-includeHEADERS
-	make DESTDIR=/usr/src/packages/BUILD/debian/guile-1.8 install-exec
-	make DESTDIR=/usr/src/packages/BUILD/debian/guile-1.8 install-data
-	
-	# --- end custom part for installing
+override_dh_autoreconf:
+	cd doc/tutorial && \
+	  ln -sf guile-tut.texi guile-tut-$(deb_src_eff_ver).texi
+	dh_autoreconf ./autogen.sh
 
-# Build architecture-independent files here.
-binary-indep: build install
-	# We have nothing to do by default.
+override_dh_auto_configure:
+	CFLAGS="$(deb_cflags)" ./configure ${configure_args}
 
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir
-	dh_testroot
-#	dh_installdebconf
-##	dh_installdocs
-##	dh_installexamples
-##	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-##	dh_installcron
-##	dh_installman
-##	dh_installinfo
-#	dh_undocumented
-##	dh_installchangelogs
-	dh_link
-	dh_strip
-	dh_compress
-	dh_fixperms
-#	dh_makeshlibs
-	dh_installdeb
-#	dh_perl
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+override_dh_clean:
+	dh_clean $(autogen_install_files) \
+	  doc/tutorial/guile-tut-$(deb_src_eff_ver).texi
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+override_dh_auto_install: $(autogen_install_files)
+	dh_auto_install
+
+override_dh_install: $(autogen_install_files)
+	rm -f debian/tmp/usr/lib/libguile*.la
+	if test -e debian/tmp/usr/share/man/man1/guile.1; then \
+	  mv debian/tmp/usr/share/man/man1/guile.1 \
+	    debian/tmp/usr/share/man/man1/guile-$(deb_src_eff_ver).1; \
+	fi
+        # Ignore gds files for the moment.
+	dh_install --fail-missing \
+	  -Xusr/share/info/dir \
+	  -Xusr/share/info/r5rs.info \
+	  -Xusr/share/emacs/site-lisp/gds-server.el \
+	  -Xusr/share/emacs/site-lisp/gds.el \
+	  -Xusr/share/emacs/site-lisp/gds-scheme.el
+
+	perl -pi \
+	  -e "s|^#!\s*/usr/bin/guile([^-])|#!$(deb_guile_bin_path)\$$1|o" \
+	  -e ' if $$. == 1;' \
+	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-config \
+	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-snarf \
+	  debian/$(deb_pkg_basename)-dev/usr/bin/guile-tools
+
+	mkdir -p debian/$(deb_pkg_basename)-libs/usr/lib/$(deb_pkg_basename)/bin
+	cp -a debian/$(deb_pkg_basename)/usr/bin/guile \
+	  debian/$(deb_pkg_basename)-libs/usr/lib/$(deb_pkg_basename)/bin
+
+	cd debian/$(deb_pkg_basename)/usr/bin/ \
+	  && mv guile guile-$(deb_src_eff_ver)
